      subroutine read_catmap(catmap,name,msg,error)
      implicit none
      include 'std_io.for'
      include 'include_.for'
      integer lu,i
      logical error
      character*64 name,catmap,msg
      dimension name(0:dec_regions-1),msg(0:dec_regions-1)
      lu=210
      open(unit=lu,
     $     file=catmap,
     $     access='sequential',
     $     form='formatted',
     $     status='old',
     $     err=401)
      do i=0,dec_regions-1
         read(unit=lu,
     $        fmt=1,
     $        err=403) name(i),msg(i)
 1       format(2a64)
      end do
      close(unit=lu,err=402)
      goto 400
 401  error=.true.
      call err_msg('read_catmap','Error opening catalog map file.')
      goto 400
 402  error=.true.
      call err_msg('read_catmap','Error closing catalog map file.')
      goto 400
 403  error=.true.
      call err_msg('read_catmap','Error reading catalog map file.')
 400  continue
      return
      end
